Need help? Check out our Support site, then


Internet Explorer 7 - Issues with WordPress Blogs

  1. Hi WordPress,

    I have a number of users who use Internet Explorer v7 who are no longer able to comment on posts on my blogs. Last week they were able to, but something changed on Thursday last week (there was some sort of system administration work being done, and since then the blog has not been working correctly on Internet Explorer 7).

    Can you please advise what we can do to fix this?

    Kind Regards,
    Annaleigh McKay
    Blog url: http://managementessentialswa.wordpress.com/

  2. Only 1.3 % of those on the internet are using outdated IE7 browsers.
    http://www.w3schools.com/browsers/browsers_explorer.asp

    The only "fix" for using outdated browser versions is to upgrade them to the most recent stable version which in this case is IE9. That can be done here http://browsehappy.com

    If the operating system they use is windows XP then they will not be able to upgrade but they can download either Firefox 16.0.1 or Chrome 22 at that same link.

    Note: Internet Explorer 10 launches on October 26, 2012 along with Windows 8. The Google Apps team announced that it will no longer support Internet Explorer 8 (and lower) as of November 15, 2012. After that date those using Internet Explorer 8 will see a message recommending that they upgrade their browser. — Supporting modern browsers: Internet Explorer 8 support discontinued http://onecoolsitebloggingtips.com/2012/10/18/internet-explorer-10-a-new-direction-in-design/

Topic Closed

This topic has been closed to new replies.

About this Topic